#include <psychlops.h>
using namespace Psychlops;

Psychlops::Rectangle rect1;
Psychlops::Color col1;
double width=200;
double height=100;
double lambda=60;
double lmean=0.5, contrast=1.0, theta=0;

void psychlops_main() {

	Canvas sampleA(Canvas::fullscreen);
	rect1.set(width,1);
	for(int j=0;j<height;j++){
		col1.set(lmean*((contrast*sin((2*PI*j/lambda)+theta))+1));
		rect1.centering().shift(0,(double)-1/2*height+j);
		rect1.draw(col1);
	}
	sampleA.flip();
	while(!Input::get(Keyboard::spc));
} 